:root {
  --bg-color: hsl(235, 100%, 98%);
  --text-color: rgb(20, 9, 47);
  --accent-color: #5e4f8c;
  --accent-color-shade: hsla(255, 28%, 43%, 0.302);
  --accent-color-pink: hsl(291, 100%, 96%);

  --buddhism-font: "Yatra One", system-ui;
}

ul {
  list-style-type: none;
  padding-left: 0;
}

h2 {
  font-size: 0.9rem;
  font-weight: 600;
}

body {
  min-height: 100vh;
  margin: 0;
  font-family: "Times New Roman", sans-serif;
  display: grid;
  place-items: center;
  overflow-x: hidden;
  background-color: var(--bg-color);
  color: var(--text-color);
  position: relative;
}

.container {
  width: 42rem;
  max-width: calc(100vw - 2rem);
  margin-inline: auto;
  font-size: 0.85rem;
  padding: 1.75rem 0;
}

.container-flex {
  display: flex;
}

.nav-btn {
  border: none;
  background: transparent;
  font-size: 1rem;
  transition: all 0.3s ease;
  padding: 2px 7px;
  transition: all 0.3s ease;
  color: var(--text-color);

  &:hover {
    color: var(--accent-color-shade);

    cursor: pointer;
  }
}

.dropup-menu {
  display: none;
  position: absolute;
  top: 0;
  left: 100%;
  background: transparent;
  z-index: 1000;
  min-width: 100px;
}

.dropup-menu.show {
  display: flex;
  flex-direction: column;
}

.nav-link {
  color: var(--text-color);
  transition: all 0.3s ease;
  font-size: 1rem;
  text-decoration: none;
  padding: 2px 7px;

  &:hover {
    color: var(--accent-color-shade);
    text-decoration: underline;
    cursor: pointer;
  }
}

.header-nav {
  display: flex;
  position: relative;
  z-index: 100;
}

.header-nav-list {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.header-nav-list > li {
  position: relative;
}

/*hero*/

.page-title {
  display: flex;
  justify-content: flex-end;
  font-family: var(--buddhism-font);
}

.hero {
  position: relative;
  width: 18rem;
}

.hero-img {
  position: absolute;
  left: -4rem;
  top: 0;
  z-index: -1;

  img {
    width: 350px;
    display: block;
  }
}

.quote-ram {
  position: absolute;
  bottom: 1rem;
  right: 0;
}

.main {
  display: flex;
  flex-direction: column;
  gap: 15rem;

  @media (min-width: 40rem) {
    flex-direction: row;
    gap: 1rem;
  }
}

.main-about {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  justify-content: center;
  height: 310px;
  position: relative;

  h2 {
    display: inline;
    cursor: pointer;
  }
}

.ascii-art-cat {
  position: absolute;
  bottom: 0;
  left: -1rem;
  cursor: pointer;
}

.custom-tooltip {
  position: absolute;
  top: calc(100% + 8px);
  left: 50%;
  color: var(--text-color);
  background-color: var(--accent-color-shade);
  font-weight: 600;
  font-size: 0.7rem;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease-in-out;
  z-index: 10;
}

.welcome-box {
  display: grid;
}

.welcome-box p {
  grid-area: 1 / 1;
  margin: 0;
  transition: opacity 0.3s ease-in-out;
}

.ascii-art-cat:hover .custom-tooltip {
  opacity: 1;
  visibility: visible;
}

.text-hover {
  opacity: 0;
  pointer-events: none;
}

.welcome-title:hover ~ .welcome-box .text-default {
  opacity: 0;
}

.welcome-title:hover ~ .welcome-box .text-hover {
  opacity: 1;
}

.error-flex {
  display: flex;
  justify-content: space-between;
}
